Show / Hide Table of Contents

# Class OpenIddictServerHandlers.Discovery.AttachSigningKeys

Contains the logic responsible of attaching the signing keys to the JWKS document.

##### Inheritance

System.Object
OpenIddictServerHandlers.Discovery.AttachSigningKeys

##### Implements

IOpenIddictServerHandler<HandleCryptographyRequestContext>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class AttachSigningKeys : IOpenIddictServerHandler<HandleCryptographyRequestContext>

### Properties

#### Descriptor

Gets the default descriptor definition assigned to this handler.

##### Declaration

    public static OpenIddictServerHandlerDescriptor Descriptor { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerHandlerDescriptor |

### Methods

#### HandleAsync(HandleCryptographyRequestContext)

Processes the event.

##### Declaration

    public ValueTask HandleAsync(HandleCryptographyRequestContext context)

##### Parameters

Type | Name | Description
--- | --- | ---
HandleCryptographyRequestContext | context |

##### Returns

Type | Description
--- | ---
ValueTask | A that can be used to monitor the asynchronous operation.

### Implements

IOpenIddictServerHandler<TContext>